package ru.octol1ttle.knockdowns.client.communication;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import net.minecraft.client.Minecraft;
import net.minecraft.util.math.Vec3d;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import ru.octol1ttle.knockdowns.client.util.KnockedPlayerData;

@SideOnly(Side.CLIENT)
public class KnockedNotificationManager {
    private static final Minecraft client = Minecraft.getMinecraft();
    private static final List<KnockedPlayerData> knockedDatas = new ArrayList<>();

    public static void addKnockedNotification(int playerId, Vec3d position) {
        knockedDatas.add(new KnockedPlayerData(playerId, position, client.world.getTotalWorldTime()));
    }

    public static Collection<KnockedPlayerData> getKnockedPlayerDatas() {
        return knockedDatas;
    }

    public static void clearDatas() {
        knockedDatas.clear();
    }
}
