package ru.octol1ttle.knockdowns.client.util;

import net.minecraft.util.math.Vec3d;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@SideOnly(Side.CLIENT)
public class KnockedPlayerData {
    private final int playerId;
    private final Vec3d position;
    private final long receiveTime;

    public KnockedPlayerData(int playerId, Vec3d position, long receiveTime) {
        this.playerId = playerId;
        this.position = position;
        this.receiveTime = receiveTime;
    }

    public int getPlayerId() {
        return playerId;
    }

    public Vec3d getPosition() {
        return position;
    }

    public long getReceiveTime() {
        return receiveTime;
    }
}
