package ru.octol1ttle.knockdowns.common.network.packets.c2s;

import io.netty.buffer.ByteBuf;
import net.minecraftforge.fml.common.network.simpleimpl.IMessage;
import ru.octol1ttle.knockdowns.common.communication.CalloutType;

public class PlayerCalloutC2SPacket implements IMessage {
    public PlayerCalloutC2SPacket() {
    }

    public CalloutType type;
    public PlayerCalloutC2SPacket(CalloutType type) {
        this.type = type;
    }

    @Override
    public void toBytes(ByteBuf buf) {
        buf.writeByte(this.type.getId());
    }

    @Override
    public void fromBytes(ByteBuf buf) {
        this.type = CalloutType.byId(buf.readByte());
    }
}
