package ru.octol1ttle.knockdowns.common.registry;

import net.minecraft.util.ResourceLocation;
import net.minecraft.util.SoundEvent;
import ru.octol1ttle.knockdowns.Tags;

public class KnockdownsSoundEvents {
    public static final SoundEvent CALLOUT;
    public static final SoundEvent KNOCKED_DOWN;
    static {
        ResourceLocation callout = new ResourceLocation(Tags.MOD_ID, "callout");
        CALLOUT = new SoundEvent(callout).setRegistryName(callout);

        ResourceLocation knockedDown = new ResourceLocation(Tags.MOD_ID, "knocked_down");
        KNOCKED_DOWN = new SoundEvent(knockedDown).setRegistryName(knockedDown);
    }
}
